;Macro para desenhar escadas do mesmo modelo do pormenor
;Philippine Fréret, 20198247, Turma 3 A 
; Professores Luis Romão e Alex Nogueira
;Mestrado Integrado em Arquitectura, Faculdade de Arquitectura , Lisboa

(defun c:escadasv9() 
	(setvar "CMDECHO" 0)
	(setq ponto (getvar "osmode"))
	(setq 3dponto (getvar "3DOSMODE"))


;;;Entrar os argumentos
(setq p1 (getpoint "\nIndiquer le point de depart de l'escalier:  "))
(setq m1 (getdist "\nIndiquer la dimension du giron: "))
(setq m2 (getdist "\nIndiquer la hauteur de la marche: "))
(setq m3 (getdist "\nIndiquer l'epaisseur de la marche:"))
(setq m4 (getdist "\nIndiquer la largeur de l'escalier:"))
(setq nd (getint "\nIndiquer le nombre total de marches:"))

(setvar "osmode" 0)
(setvar "3Dosmode" 0)
(command "_ucs" "x" 90)
(setq p1 (trans p1 0 1))

;;; modelação de um degrau
	(command "_pline" 	p1 
						(setq p2 (polar p1 (* 2 (/ pi 3)) m2))
						(setq p3 (polar p2 0 m1))
						(setq p4 (polar p3 (* 3 (/ pi 2)) m3))
						(setq p5 (polar p4 pi (- m1 m3)))
						(setq p6 (polar p5 (* 5 (/ pi 3))(- m2 m3)))
						"_c")

(command "_extrude" "last" "" m4)
(repeat nd
	(command "_copy" "last" "" p6 p3)
	)

(command "_ucs" "" )

)	

