;Macro para desenhar escadas do mesmo modelo do pormenor
;Philippine Fréret, 20198247, Turma 3 A 
; Professores Luis Romão e Alex Nogueira
;Mestrado Integrado em Arquitectura, Faculdade de Arquitectura , Lisboa

(defun c:escadasv11() 
	(setvar "CMDECHO" 0)
	(setq ponto (getvar "osmode"))
	(setq 3dponto (getvar "3DOSMODE"))


;;;Entrar os argumentos
(setq p1 (getpoint "\nIndiquer le point de depart de l'escalier:  "))
(setq m1 (getdist "\nIndiquer la dimension du giron: "))
(setq m2 (getdist "\nIndiquer la hauteur de la marche: "))
(setq m3 (getdist "\nIndiquer l'epaisseur de la marche:"))
(setq m4 (getdist "\nIndiquer la largeur de l'escalier:"))
(setq nd (getint "\nIndiquer le nombre de marches par volee:"))

(setvar "osmode" 0)
(setvar "3Dosmode" 0)
(command "_ucs" "x" 90)
(setq p1 (trans p1 0 1))

;;; modelação de um degrau

	(command "_pline" 	p1 
						(setq p2 (polar p1 (* 2 (/ pi 3)) m2))
						(setq p3 (polar p2 0 m1))
						(setq p4 (polar p3 (* 3 (/ pi 2)) m3))
						(setq p5 (polar p4 pi (- m1 m3)))
						(setq p6 (polar p5 (* 5 (/ pi 3)) (- m2 m3)))
						"_c")

(command "_extrude" "last" "" m4)
(repeat nd
	(command "_copy" "last" "" p6 p3)
	)

;;; Modelisation du palier
(setq p7 (polar p1 0 (* m1 (- nd 2)) ))
(setq p8 (polar p7 (/ pi 2) (* m2 (- nd 0.5)) ))

(command "_pline"   p8
					(setq p9 (polar p8 0 1))
					(setq p10 (polar p9 (/ pi 2) m3))
					(setq p11 (polar p10 pi 1))
					"_c" )

(command "_extrude" "last" "" m4)

;;; reprendre la suite des marches
(command "_pline" p10
						(setq p12 (polar p10 (* 2 (/ pi 3)) m2))
						(setq p13 (polar p12 0 m1))
						(setq p14 (polar p13 (* 3 (/ pi 2)) m3))
						(setq p15 (polar p14 pi (- m1 m3)))
						(setq p16 (polar p15 (* 5 (/ pi 3)) (- m2 m3)))
						"_c")

(command "_extrude" "last" "" m4)
(repeat nd 
	(command "_copy""last" "" p16 p13)
	)

(command "_ucs" "" )

)	

